Page MenuHomePhabricator

efl_ui_scrollable: add step size property
ClosedPublic

Authored by eagleeye on Feb 12 2019, 6:11 PM.

Details

Summary

The step size property determines amount of scroll by arrow key event.

Test Plan

elementary_test -> efl.ui.scroller

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9462
eagleeye created this revision.Feb 12 2019, 6:11 PM
eagleeye requested review of this revision.Feb 12 2019, 6:11 PM
bu5hm4n added inline comments.Feb 13 2019, 12:10 AM
src/lib/elementary/efl_ui_scroll_manager.c
288

In legacy we have multiplied this with scale, is this here the same ? Should we do that ?

bu5hm4n requested changes to this revision.Feb 13 2019, 3:45 AM
This revision now requires changes to proceed.Feb 13 2019, 3:45 AM
eagleeye updated this revision to Diff 19432.EditedFeb 15 2019, 12:29 AM
eagleeye marked an inline comment as done.

Apply scale value when step size is changed.
Default value is already multiplied at 2403, 2404 line.

bu5hm4n accepted this revision.Feb 15 2019, 1:43 AM

Thank you :)

This revision is now accepted and ready to land.Feb 15 2019, 1:43 AM
cedric accepted this revision.Feb 15 2019, 11:53 AM
Closed by commit rEFLf92eb7f54cdb: efl_ui_scrollable: add step size property (authored by Hosang Kim <hosang12.kim@samsung.com>, committed by 김호상/Tizen Platform Lab(SR)/Engineer/삼성전자 <CORP\hosang12.kim@hosang.tn.corp.samsungelectronics.net>). · Explain WhyFeb 25 2019, 4:23 AM
This revision was automatically updated to reflect the committed changes.